/**
 * WordPress dependencies
 */
import { compose } from '@wordpress/compose';
import { withSelect } from '@wordpress/data';

/**
 * Internal dependencies
 */
import 'pro/dashboard/entries/dashboard/store';
import Static from 'pro/dashboard/entries/dashboard/components/header/static';
import Carousel from './components/carousel';
import './style.scss';

function App( { dashboardId } ) {
	return (
		<div>
			<Static />
			<Carousel dashboardId={ dashboardId } />
		</div>
	);
}

export default compose( [
	withSelect( ( select ) => ( {
		dashboardId: select( 'ithemes-security/dashboard' ).getViewingDashboardId(),
	} ) ),
] )( App );
